curl --request GET \
--url https://api-dev.narrative.io/schema-presets/{schema_preset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/schema-presets/{schema_preset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/schema-presets/{schema_preset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 7,
"company_id": 345,
"created_at": "<string>",
"name": "<string>",
"scope": "public",
"status": "active",
"tags": [
"<string>"
],
"archived_at": "<string>",
"description": "<string>",
"based_on_preset_id": 7,
"icon": "<string>",
"display_color": "<string>",
"banner_image": "<string>",
"details": {
"attributes": [
{
"attribute_id": 123,
"fields": [
{
"field": "<string>",
"delivered": true,
"filterable": true,
"required": true,
"forecastable": true
}
]
}
]
}
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Detail information on a schema preset by its id.
Returns detailed information on a specific schema preset given its id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of an existing schema preset.
Response
Returns the detail of a specific schema preset.
Unique identifier of an existing schema preset.
7
The id of an existing company
345
UTC ISO date time when the schema preset was created
Name of the schema preset
Who can see this schema preset. Either public for everyone or private for only the members of the company who owns it.
public, private Whether the schema preset is visible (active) or not (archived)
active, archived An array (can be empty) of strings representing metadata about the schema preset
UTC ISO date time when the schema preset was archived
Long description for the schema preset
Unique identifier of an existing schema preset.
7
URL of an icon shown with the schema preset in the UI to help recognize/personalize it.
Background color to be shown in the UI to personalize the schema preset, in hex color code format.
URL of the banner image shown in the UI to personalize the schema preset.
Show child attributes
Show child attributes
Was this page helpful?

